Skip to main content
O&M Management/Monitoring APIs/Notification Service APIs
GETNotification Service APIsSince 5.0.0SynchronousAuth Required

Query SNS Topic Subscribers

Query SNS Topic Subscribers

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • errorErrorCodeRequired

    The error code. If not null, the operation failed. This field is null when the operation succeeds. For details, see error

    • codeStringRequired

      The error code number. A globally unique identifier for the error, for example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      A brief description of the error

    • detailsStringRequired

      Detailed information about the error

    • elaborationStringRequired

      Reserved field. Default is null.

    • opaqueLinkedHashMapRequired

      Reserved field. Default is null.

    • causeErrorCodeRequired

      The root error. The source error that caused the current error. If there is no root error, this field is null.

  • inventoriesListRequired

    For details, see inventories

    • topicUuidStringRequired

      Topic UUID

    • endpointUuidStringRequired

      Endpoint UUID

    • createDateTimestampRequired

      Creation time

    • lastOpDateTimestampRequired

      Last modification time

Endpoint

GET/zstack/v1/sns/topics/subscribers

/zstack/v1/sns/topics/subscribers

Operation ID

QuerySNSTopicSubscriber

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/sns/topics/subscribers' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "topicUuid": "3677dc0f00964b80886f3b2bbf9338cd", "endpointUuid": "f8c5c56233844126ad5f5a0174da3098" } ] }

Change History

This API has no change history records yet.

View all change history